# Copyright (c) 2000-2010, JPackage Projectc
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_with gcj_support
%bcond_without monolithic_ui
%bcond_without repolib
%bcond_without zips

%if %with gcj_support
%define gcj_support 1
%else
%define gcj_support 0
%endif

%define __jar_repack %{nil}

%define section free
%define reltag SP3
%define namedreltag .SP3
%global namedversion %{version}%{?namedreltag}
%define jbossseamversion 2.1.0.SP1

%define repodir %{_javadir}/repository.jboss.com/org/richfaces/%{namedversion}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

Name:           richfaces
Version:        3.3.1
Release:        1%{?namedreltag}%{?dist}
Epoch:          0
Summary:        JBoss RichFaces
License:        LGPLv2+
Group:          Development/Framework
URL:            http://labs.jboss.com/jbossrichfaces
# svn -q export http://anonsvn.jboss.org/repos/richfaces/tags/3.3.1.SP2/ richfaces-3.3.1.SP2 && tar cjf richfaces-3.3.1.SP2.tar.bz2 richfaces-3.3.1.SP2
Source0:        richfaces-3.3.1.SP3.tar.bz2
Source1:        %{name}-settings.xml
Source2:        %{name}-jpp-depmap.xml
Source3:        %{name}-component-info.xml
# FIXME: (dwalluck): Remove these and all binary jars
Source11:       http://repository.jboss.com/maven2/org/eclipse/wst/sse/core/1.1.202-v200709061102/core-1.1.202-v200709061102.jar
Source12:       http://repository.jboss.com/maven2/org/eclipse/wst/sse/core/1.1.202-v200709061102/core-1.1.202-v200709061102.pom
Source13:       http://repository.jboss.com/maven2/org/eclipse/wst/css/core/1.1.101-v200705302225/core-1.1.101-v200705302225.jar
Source14:       http://repository.jboss.com/maven2/org/eclipse/wst/css/core/1.1.101-v200705302225/core-1.1.101-v200705302225.pom
# FIXME: (dwalluck): Remove these and all binary jars
Source15:       http://repository.jboss.org/maven2/org/jboss/seam/jboss-seam/2.1.0.SP1/jboss-seam-2.1.0.SP1.jar
Source16:       http://repository.jboss.org/maven2/org/jboss/seam/jboss-seam-debug/2.1.0.SP1/jboss-seam-debug-2.1.0.SP1.jar
Source17:       http://repository.jboss.org/maven2/org/jboss/seam/jboss-seam-pdf/2.1.0.SP1/jboss-seam-pdf-2.1.0.SP1.jar
Source18:       http://repository.jboss.org/maven2/org/jboss/seam/jboss-seam-ui/2.1.0.SP1/jboss-seam-ui-2.1.0.SP1.jar
Source19:       http://repository.jboss.com/maven2/net/sf/docbook/docbook/1.72.0/docbook-1.72.0.jar
Source20:       http://repository.jboss.org/maven2/org/richfaces/docs/highlight/3.2.2.SR1/highlight-3.2.2.SR1.jar
Source21:       xsl-stylesheets-1.73.2.jar
Source22:       http://repository.jboss.com/maven2-brew/cglib/cglib/2.2/cglib-2.2.jar
Patch0:         richfaces-cdk-maven-plugin-pom.patch
Patch1:         richfaces-maven-cdk-plugin-plexus-components.patch
Patch2:         richfaces-cdk-generator-BuilderConfig.patch
Patch3:         richfaces-resource-config-xpp3-reader-read.patch
Patch4:         richfaces-site.patch
Patch5:         richfaces-cglib.patch
Patch6:         richfaces-asm.patch
Patch7:         richfaces-assembly.patch
Patch8:         richfaces-docs-common-resources-en-pdf.patch
BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  java-devel >= 0:1.5.0
# FIXME
BuildRequires:  java-fonts
BuildRequires:  liberation-fonts
#
%if 0
DEBUG:   Path to dependency:                                                                                                                                                                                                                 
DEBUG:          1) org.apache.maven.plugins:maven-plugin-plugin:maven-plugin:2.0.8                                                                                                                                                           
DEBUG:          2) org.apache.maven:maven-plugin-tools-beanshell:jar:2.1                                                                                                                                                                     
DEBUG:          3) bsh:bsh:jar:1.3.0                                                                                                                                                                                                         
DEBUG:          4) bsf:bsf:jar:2.3.0 
%endif
BuildRequires:  bsf
BuildRequires:  maven2 >= 0:2.0.7-8
BuildRequires:  maven-archetype2
BuildRequires:  maven2-default-skin
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-changes
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-pmd
BuildRequires:  maven2-plugin-project-info-reports
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-site
BuildRequires:  maven2-plugin-source
BuildRequires:  maven2-plugin-war
BuildRequires:  maven-jxr
BuildRequires:  maven-shared-archiver
BuildRequires:  maven-shared-dependency-analyzer
BuildRequires:  maven-shared-dependency-tree
BuildRequires:  maven-shared-file-management
BuildRequires:  maven-shared-plugin-tools-api
BuildRequires:  maven-shared-plugin-tools-beanshell
BuildRequires:  maven-shared-plugin-tools-java
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven2-plugin-surefire
BuildRequires:  jetty6-maven2-plugins
BuildRequires:  mojo-maven2-plugin-antlr
BuildRequires:  mojo-maven2-plugin-build-helper
BuildRequires:  mojo-maven2-plugin-exec
BuildRequires:  mojo-maven2-plugin-javacc
BuildRequires:  mojo-maven2-plugin-xml
BuildRequires:  maven-jdocbook-plugin
BuildRequires:  modello-maven-plugin

BuildRequires:  ant
#BuildRequires:  docbook-style-xsl >= 0:1.73
BuildRequires:  docbook-style-xsl
BuildRequires:  easymock2 >= 0:2.3
BuildRequires:  easymock-classextension2 >= 0:2.3
BuildRequires:  hibernate-beanvalidation-api
#BuildRequires:  htmlunit >= 0:1.14
BuildRequires:  htmlunit2 >= 0:2.4
BuildRequires:  javacc
BuildRequires:  junit
BuildRequires:  modello
# FIXME: (dwalluck): java.lang.ClassNotFoundException: org.objenesis.ObjenesisHelper
# FIXME: (dwalluck): in framework/test/target/surefire-reports (caused by easymock2 pom)
BuildRequires:  objenesis
#BuildRequires:  openqa-selenium-rc-java-client-driver
#BuildRequires:  openqa-selenium-rc-server-coreless
BuildRequires:  plexus-utils
BuildRequires:  plexus-resources
BuildRequires:  plexus-velocity
BuildRequires:  velocity15
BuildRequires:  saxon8
BuildRequires:  saxon8-dom
BuildRequires:  saxon9
BuildRequires:  shale-test
BuildRequires:  testng
BuildRequires:  tlddoc
BuildRequires:  xalan-j2
BuildRequires:  xmlgraphics-batik
BuildRequires:  xmlgraphics-fop
BuildRequires:  jbossorg-docbook-highlight
BuildRequires:  jbossorg-docbook-xslt
BuildRequires:  jbossorg-jdocbook-style


BuildRequires:  postgresql-jdbc

#BuildRequires:  sun-annotation-1.0-api
BuildRequires:  annotation_1_0_api
BuildRequires:  asm
BuildRequires:  cglib
BuildRequires:  cssparser
BuildRequires:  dtdparser
BuildRequires:  ejb_3_0_api
BuildRequires:  el-impl
BuildRequires:  el_1_0_api
BuildRequires:  geronimo-jsp-2.1-api
BuildRequires:  geronimo-jta-1.0.1B-api
BuildRequires:  geronimo-specs-poms
BuildRequires:  glassfish-jstl
BuildRequires:  hibernate3
BuildRequires:  hibernate3-annotations
BuildRequires:  hibernate3-entitymanager
BuildRequires:  hibernate3-validator
BuildRequires:  hsqldb
BuildRequires:  jhighlight
BuildRequires:  jakarta-commons-beanutils
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-dbcp
BuildRequires:  jakarta-commons-digester
BuildRequires:  jakarta-commons-httpclient
BuildRequires:  jakarta-commons-io
BuildRequires:  jakarta-commons-lang
BuildRequires:  jakarta-commons-logging
BuildRequires:  jakarta-commons-vfs
BuildRequires:  jakarta-slide-webdavclient
BuildRequires:  jakarta-taglibs-standard
BuildRequires:  glassfish-persistence-1.0b-api
#BuildRequires:  jpa_3_0_api
BuildRequires:  jta_1_1_api
BuildRequires:  facelets
BuildRequires:  nekohtml
BuildRequires:  nekohtml0
BuildRequires:  myfaces
BuildRequires:  oscache
BuildRequires:  qdox
BuildRequires:  rhino16
BuildRequires:  saxpath
BuildRequires:  taglib-maven2-plugin
BuildRequires:  servlet_2_5_api
BuildRequires:  slf4j
#BuildRequires:  sun-jsf-1.2-api
BuildRequires:  glassfish-jsf
#BuildRequires:  sun-jsf-1.2-impl
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-resolver11
BuildRequires:  xpp3-minimal


BuildRequires:  htmlunit-core-js
BuildRequires:  jakarta-commons-parent
BuildRequires:  jboss-parent
BuildRequires:  jsunit

BuildRequires:  zip

Requires(post): jpackage-utils >= 0:1.7.3
Requires(postun): jpackage-utils >= 0:1.7.3

Requires:       java >= 0:1.5.0

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
RichFaces is a rich component library for JSF and an advanced
framework for easily integrating AJAX capabilities into
business application development. The RichFaces components
come ready to use out-of-the-box, so developers can immediately
save time in taking advantage of component features to create
Web applications that provide greatly improved user experience
more reliably and more quickly. RichFaces also includes strong
support for the skinnability of JSF applications. RichFaces
also takes full advantage of the benefits of the JSF framework
including lifecycle, validation, and conversion facilities,
along with the management of static and dynamic resources.

RichFaces differs from other AJAX approaches by enabling
page-oriented AJAX support instead of the traditional
component-oriented support. This means you can define an
event in the page that invokes a particular AJAX request
and then you can also define those areas of the page that
need to be synchronized with the JSF Component Tree after
this particular AJAX request is processed on the server.

%package cdk
Summary:        JSF Components Development kit POM
Group:          Development/Frameworks

%description cdk
%{summary}.

%package demo
Summary:        Sample Webapp for %{name}
Group:          Development/Frameworks

%description demo
%{summary}.

%package docs
Summary:        Project documentation POM
Group:          Development/Framework
Requires:       %{name}-root = %{epoch}:%{version}-%{release}

%description docs
%{summary}.

%package framework
Summary:        Java Server Faces AJAX Framework
Group:          Development/Framework
Requires:       %{name}-root = %{epoch}:%{version}-%{release}
Requires:       facelets >= 0:1.1.14
Requires:       jakarta-commons-logging >= 0:1.0.4
Requires:       jakarta-commons-beanutils >= 0:1.7.0
Requires:       jakarta-commons-collections >= 0:3.2
Requires:       jakarta-commons-digester >= 0:1.8.1
%if 0
XXX: optional
Requires:       nekohtml >= 0:0.9.5
Requires:       oscache >= 0:2.3
%endif
%if 0
# XXX: provided
Requires:       annotation_1_0_api
Requires:       el_1_0_api
Requires:       glassfish-jsf >= 0:1.2_12
Requires:       jsp_2_1_api
Requires:       jstl_1_2_api
Requires:       servlet_2_5_api
%endif

%description framework
%{summary}.

%package generator
Summary:        Java Server Faces Component Generator
Group:          Development/Framework
Requires:       %{name}-cdk = %{epoch}:%{version}-%{release}
Requires:       %{name}-framework = %{epoch}:%{version}-%{release}
Requires:       %{name}-ui = %{epoch}:%{version}-%{release}
Requires:       ant >= 0:1.6.5
Requires:       cglib >= 0:2.1.3
Requires:       dtdparser >= 0:1.21
Requires:       easymock2 >= 0:2.5
Requires:       el_1_0_api
Requires:       el-impl >= 0:1.0
Requires:       glassfish-jsf >= 0:1.2_12
Requires:       jsp_2_1_api
Requires:       jakarta-commons-beanutils >= 0:1.6
Requires:       jakarta-commons-collections
Requires:       jakarta-commons-digester >= 0:1.8.1
Requires:       qdox >= 0:1.6
# XXX: 1.4
Requires:       velocity15
Requires:       xerces-j2 >= 0:2.8.1

%description generator
%{summary}.

%package highlight
Summary:        RichFaces Code Highlighting
Group:          Development/Java
Requires:       %{name}-docs = %{epoch}:%{version}-%{release}
%if 0
# FIXME: No RPMS for these
Requires:       eclipse-wst-css-core
Requires:       eclipse-wst-sse-core
%endif
Requires:       jhighlight >= 0:1.0
Requires:       xmlgraphics-fop >= 0:0.95

%description highlight
RichFaces Code Highlighting.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%package maven
Summary:        RichFaces Maven2 Plugins and Archetypes
Group:          Development/Framework
Requires:       %{name}-cdk = %{epoch}:%{version}-%{release}
Requires:       %{name}-generator = %{epoch}:%{version}-%{release}
Requires:       maven2 >= 0:2.0.7-8
Requires:       maven-shared-archiver
Requires:       maven-shared-file-management
Requires:       plexus-utils
Requires:       plexus-velocity
Requires:       rhino16

%description maven
%{summary}.

%package root
Summary:        Jboss RichFaces project POM
Group:          Development/Framework
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description root
%{summary}.

%package test
Summary:        Java Server Faces AJAX Framework
Group:          Development/Framework
Requires:       %{name}-framework = %{epoch}:%{version}-%{release}
Requires:       easymock2
Requires:       easymock-classextension2
Requires:       htmlunit
Requires:       junit
Requires:       objenesis
%if 0
Requires:       rhino16
%endif
Requires:       shale-test
Requires:       glassfish-jsf
#Requires:       sun-jsf-1.2-impl

%description test
%{summary}.

%package ui
Summary:        RichFaces UI Components
Group:          Development/Framework
Requires:       %{name}-framework = %{epoch}:%{version}-%{release}
%if 0
# XXX: optional
Requires:       facelets >= 0:1.1.14
Requires:       jhighlight >= 0:1.0
%endif
%if 0
# XXX: provided
Requires:       antlr >= 0:2.7.6
Requires:       el_2_2_api
Requires:       jakarta-commons-logging >= 0:1.0.4
# XXX: 2.1.0.SP1
Requires:       jboss-seam2 >= 0:2.1.0
Requires:       glassfish-jsf >= 0:1.2_12
Requires:       jsp_2_1_api
Requires:       jstl_1_2_api
Requires:       servlet_2_5_api
%endif

%description ui
%{summary}.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%if %with zips
%package zip
Summary:     Container for the zipped distribution of richfaces
Group:       Development

%description zip
Container for the zipped distribution of richfaces.

%package src-zip
Summary:     Container for the sources
Group:       Development

%description src-zip
Container for the sources.
%endif

%prep
export LANG=en_US.UTF-8
%setup -q -n richfaces-%{namedversion}
%{_bindir}/find -type f -name "*.jar" | %{_bindir}/xargs -t %{__rm}
%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3
%patch4 -b .sav4
%patch5 -b .sav5
%patch6 -b .sav6
%patch7 -b .sav7
%patch8 -b .sav8
#%%patch9 -b .sav9

#mkdir -p docs/xslt/en/target/classes/fo
#cp /usr/share/sgml/docbook/xsl-stylesheets/fo/docbook.xsl docs/xslt/en/target/classes/fo
mkdir -p docs/cdkguide/en/target/classes/fo
cp /usr/share/sgml/docbook/xsl-stylesheets/fo/docbook.xsl docs/cdkguide/en/target/classes/fo
mkdir -p docs/userguide/en/target/classes/fo
cp /usr/share/sgml/docbook/xsl-stylesheets/fo/docbook.xsl docs/userguide/en/target/classes/fo
mkdir -p docs/userguide/en/src/main/resources/fo
cp /usr/share/sgml/docbook/xsl-stylesheets/fo/docbook.xsl docs/userguide/en/src/main/resources/fo

# FIXME
mkdir -p m2_repo/repository/org/jboss/seam/jboss-seam{,-debug,-pdf,-ui}/%{jbossseamversion}/
cp -p %{SOURCE15} m2_repo/repository/org/jboss/seam/jboss-seam/%{jbossseamversion}/jboss-seam-%{jbossseamversion}.jar
cp -p %{SOURCE16} m2_repo/repository/org/jboss/seam/jboss-seam-debug/%{jbossseamversion}/jboss-seam-debug-%{jbossseamversion}.jar
cp -p %{SOURCE17} m2_repo/repository/org/jboss/seam/jboss-seam-pdf/%{jbossseamversion}/jboss-seam-pdf-%{jbossseamversion}.jar
cp -p %{SOURCE18} m2_repo/repository/org/jboss/seam/jboss-seam-ui/%{jbossseamversion}/jboss-seam-ui-%{jbossseamversion}.jar

mkdir -p m2_repo/repository/JPP/maven2/default_poms/
cp -p samples/pom.xml m2_repo/repository/JPP/maven2/default_poms/org.richfaces-samples.pom

mkdir -p m2_repo/repository/org/eclipse/wst/sse/core/1.1.202-v200709061102/
cp -p %{SOURCE11} m2_repo/repository/org/eclipse/wst/sse/core/1.1.202-v200709061102/core-1.1.202-v200709061102.jar 

mkdir -p m2_repo/repository/org/eclipse/wst/css/core/1.1.101-v200705302225/
cp -p %{SOURCE13} m2_repo/repository/org/eclipse/wst/css/core/1.1.101-v200705302225/core-1.1.101-v200705302225.jar

mkdir -p m2_repo/repository/org/richfaces/highlight/3.2.2.SR1
cp -p %{SOURCE20} m2_repo/repository/org/richfaces/highlight/3.2.2.SR1/highlight-3.2.2.SR1.jar

mkdir -p m2_repo/repository/docbook/xsl-stylesheets/1.73.2
cp -p %{SOURCE21} m2_repo/repository/docbook/xsl-stylesheets/1.73.2/xsl-stylesheets-1.73.2.jar

mkdir -p m2_repo/repository/JPP
cp -p %{_javadir}/rhino16.jar m2_repo/repository/JPP
zip m2_repo/repository/JPP/rhino16.jar -d 'META-INF/JBOSSCOD.*' 

#mkdir -p m2_repo/repository/JPP
%if 0
jar cf m2_repo/repository/JPP/docbook-xsl-stylesheets.jar -C %{_datadir}/sgml/docbook/xsl-stylesheets common
for sd in $(ls %{_datadir}/sgml/docbook/xsl-stylesheets); do
  jar uf m2_repo/repository/JPP/docbook-xsl-stylesheets.jar -C %{_datadir}/sgml/docbook/xsl-stylesheets $sd
done
%else
cp -p %{SOURCE19} m2_repo/repository/JPP/docbook-xsl-stylesheets.jar
%endif

mkdir -p tmp
pushd tmp
jar xf %{_javadir}/docbook-xsl-saxon.jar
popd
jar uf m2_repo/repository/JPP/docbook-xsl-stylesheets.jar -C tmp .
rm -r tmp

mkdir -p m2_repo/repository/net/sf/docbook/docbook/1.72.0
cp -p %{SOURCE19} m2_repo/repository/net/sf/docbook/docbook/1.72.0/docbook-1.72.0.jar

mkdir -p m2_repo/repository/JPP/maven2/default_poms
cp -p cdk/pom.xml m2_repo/repository/JPP/maven2/default_poms/org.richfaces-cdk.pom 

cp -p %{SOURCE1} maven2-settings.xml

%{__sed} -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
%{__sed} -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" maven2-settings.xml
%{__sed} -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
%{__sed} -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" maven2-settings.xml
%{__sed} -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" maven2-settings.xml

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

# FIXME: make this a patch
%{__perl} -pi -e 's|<module>jsf-test</module>|<!--<module>jsf-test</module>-->|g;' framework/pom.xml

mkdir -p docs/userguide/en/target/docbook/staging
pushd docs/userguide/en/target/docbook/staging
%{jar} xf %{_javadir}/jbossorg-jdocbook-style.jar
popd

%build
export LANG=en_US.UTF-8
export MAVEN_REPO_LOCAL=$(pwd)/m2_repo/repository

mkdir -p ${MAVEN_REPO_LOCAL}/org.richfaces.docs/
ln -sf $(pwd)/docs/highlight/target/highlight-%{namedversion}.jar \
m2_repo/repository/org.richfaces.docs/highlight.jar

%{__mkdir_p} ${MAVEN_REPO_LOCAL}/JPP/maven2/default_poms/
%{__cp} -p framework/pom.xml ${MAVEN_REPO_LOCAL}/JPP/maven2/default_poms/org.richfaces-framework.pom

export M2_SETTINGS=$(pwd)/maven2-settings.xml

export MAVEN_OPTS="-Xmx1536m -XX:MaxPermSize=128m -Djava.awt.headless=true"
export MAVEN_OPTS="${MAVEN_OPTS} -Xbootclasspath/p:$(build-classpath xalan-j2 xalan-j2-serializer xerces-j2 xml-commons-jaxp-1.3-apis)"

# FIXME: (dwalluck): see <https://jira.jboss.org/browse/JBPAPP-2971>
%{_bindir}/mvn-jpp -e \
        -s $M2_SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
         install:install-file -DgroupId=cglib -DartifactId=cglib -Dversion=2.2 -Dpackaging=jar -Dfile=%{SOURCE22}

%{_bindir}/mvn-jpp -e \
        -s $M2_SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven.test.failure.ignore=true \
        -DaltDeploymentRepository=jboss-releases::default::file://$(pwd)/maven2-brew \
        -P release,docs \
        deploy \
        site

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

%add_to_maven_depmap org.richfaces root %{namedversion} JPP/%{name} root
install -p -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-root.pom

%add_to_maven_depmap org.richfaces framework %{namedversion} JPP/%{name} framework
install -p -m 644 framework/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-framework.pom

# BUILD/richfaces-3.2.2.SR1/cdk/generator/target/generator-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.cdk generator %{namedversion} JPP/%{name} generator
install -p -m 644 cdk/generator/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-generator.pom
install -p -m 644 cdk/generator/target/generator-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/generator-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/cdk/maven-archetype-jsf-component/target/maven-archetype-jsf-component-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.cdk maven-archetype-jsf-component %{namedversion} JPP/%{name} maven-archetype-jsf-component
install -p -m 644 cdk/maven-archetype-jsf-component/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-jsf-component.pom
install -p -m 644 cdk/maven-archetype-jsf-component/target/maven-archetype-jsf-component-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-archetype-jsf-component-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/cdk/maven-archetype-jsfwebapp/target/maven-archetype-jsfwebapp-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.cdk maven-archetype-jsfwebapp %{namedversion} JPP/%{name} maven-archetype-jsfwebapp
install -p -m 644 cdk/maven-archetype-jsfwebapp/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-jsfwebapp.pom
install -p -m 644 cdk/maven-archetype-jsfwebapp/target/maven-archetype-jsfwebapp-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-archetype-jsfwebapp-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/cdk/maven-archetype-plug-n-skin/target/maven-archetype-plug-n-skin-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.cdk maven-archetype-plug-n-skin %{namedversion} JPP/%{name} maven-archetype-plug-n-skin
install -p -m 644 cdk/maven-archetype-plug-n-skin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-plug-n-skin.pom
install -p -m 644 cdk/maven-archetype-plug-n-skin/target/maven-archetype-plug-n-skin-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-archetype-plug-n-skin-%{version}.jar

%add_to_maven_depmap org.richfaces cdk %{namedversion} JPP/%{name} cdk
install -p -m 644 cdk/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-cdk.pom

#BUILD/richfaces-3.2.2.SR1/cdk/maven-cdk-plugin/target/maven-cdk-plugin-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.cdk maven-cdk-plugin %{namedversion} JPP/%{name} maven-cdk-plugin
install -p -m 644 cdk/maven-cdk-plugin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-cdk-plugin.pom
install -p -m 644 cdk/maven-cdk-plugin/target/maven-cdk-plugin-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-cdk-plugin-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/cdk/maven-javascript-plugin/target/maven-javascript-plugin-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.cdk maven-javascript-plugin %{namedversion} JPP/%{name} maven-javascript-plugin
install -p -m 644 cdk/maven-javascript-plugin/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-javascript-plugin.pom
install -p -m 644 cdk/maven-javascript-plugin/target/maven-javascript-plugin-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-javascript-plugin-%{version}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/maven2/plugins
(cd $RPM_BUILD_ROOT%{_javadir}/maven2/plugins
ln -s %{_javadir}/%{name}/maven-cdk-plugin-%{version}.jar richfaces-cdk-plugin-%{version}.jar
ln -s %{_javadir}/%{name}/maven-javascript-plugin-%{version}.jar richfaces-javascript-plugin-%{version}.jar
)

%add_to_maven_depmap org.richfaces docs %{namedversion} JPP/%{name} docs
install -p -m 644 docs/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-docs.pom

#BUILD/richfaces-3.2.2.SR1/docs/cdkguide/en/target/cdkguide_en-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.docs.cdkguide en %{namedversion} JPP/%{name} cdkguide_en
install -p -m 644 docs/cdkguide/en/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-cdkguide_en.pom
install -p -m 644 docs/cdkguide/en/target/cdkguide_en-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/cdkguide_en-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/docs/faq/en/target/faq_en-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.docs.faq en %{namedversion} JPP/%{name} faq_en
install -p -m 644 docs/faq/en/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-faq_en.pom
install -p -m 644 docs/faq/en/target/faq_en-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/faq_en-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/docs/highlight/target/highlight-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.docs highlight %{namedversion} JPP/%{name} highlight
%add_to_maven_depmap org.richfaces highlight %{namedversion} JPP/%{name} highlight
install -p -m 644 docs/highlight/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-highlight.pom
install -p -m 644 docs/highlight/target/highlight-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/highlight-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/docs/migrationguide/en/target/migration_en-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.docs.migration en %{namedversion} JPP/%{name} migration_en
install -p -m 644 docs/migrationguide/en/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-migration_en.pom
install -p -m 644 docs/migrationguide/en/target/migration_en-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/migration_en-%{version}.jar

%add_to_maven_depmap org.richfaces.docs.photo_album_app_guide en %{namedversion} JPP/%{name} photo_album_app_guide_en
install -p -m 644 docs/migrationguide/en/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-photo_album_app_guide_en.pom
install -p -m 644 docs/photo_album_app_guide/en/target/photo_album_app_guide_en-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/photo_album_app_guide_en-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/docs/userguide/en/target/userguide_en-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.docs.userguide en %{namedversion} JPP/%{name} userguide_en
install -p -m 644 docs/userguide/en/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-userguide_en.pom
install -p -m 644 docs/userguide/en/target/userguide_en-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/userguide_en-%{version}.jar

##BUILD/richfaces-3.2.2.SR1/docs/xslt/en/target/en-3.2.2.SR1.jar
#%add_to_maven_depmap org.richfaces.docs.xslt en %{namedversion} JPP/%{name} en
#install -p -m 644 docs/xslt/en/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-en.pom
#install -p -m 644 docs/xslt/en/target/en-%{namedversion}.jar \
#           $RPM_BUILD_ROOT%{_javadir}/%{name}/en-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/framework/api/target/richfaces-api-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.framework richfaces-api %{namedversion} JPP/%{name} richfaces-api
install -p -m 644 framework/api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-richfaces-api.pom
install -p -m 644 framework/api/target/richfaces-api-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/richfaces-api-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/framework/impl/target/richfaces-impl-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.framework richfaces-impl %{namedversion} JPP/%{name} richfaces-impl
install -p -m 644 framework/impl/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-richfaces-impl.pom
install -p -m 644 framework/impl/target/richfaces-impl-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/richfaces-impl-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/framework/test/target/richfaces-test-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.framework richfaces-test %{namedversion} JPP/%{name} richfaces-test
install -p -m 644 framework/test/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-richfaces-test.pom
install -p -m 644 framework/test/target/richfaces-test-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/richfaces-test-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/samples/darkX/target/darkX-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.samples darkX %{namedversion} JPP/%{name} darkX
install -p -m 644 samples/darkX/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-darkX.pom
install -p -m 644 samples/darkX/target/darkX-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/darkX-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/samples/glassX/target/glassX-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.samples glassX %{namedversion} JPP/%{name} glassX
install -p -m 644 samples/glassX/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-glassX.pom
install -p -m 644 samples/glassX/target/glassX-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/glassX-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/samples/laguna/target/laguna-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.samples laguna %{namedversion} JPP/%{name} laguna
install -p -m 644 samples/laguna/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-laguna.pom
install -p -m 644 samples/laguna/target/laguna-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/laguna-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/samples/richfaces-demo/target/richfaces-demo.war

%if %with monolithic_ui
%add_to_maven_depmap org.richfaces.ui richfaces-ui %{namedversion} JPP/%{name} richfaces-ui
install -p -m 644 ui/assembly/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-richfaces-ui.pom
install -p -m 644 ui/assembly/target/dist/richfaces-ui-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/richfaces-ui-%{version}.jar
%endif

%add_to_maven_depmap org.richfaces ui %{namedversion} JPP/%{name} ui
install -p -m 644 ui/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-ui.pom

%if %without monolithic_ui
#BUILD/richfaces-3.2.2.SR1/ui/beanValidator/target/beanValidator-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui beanValidator %{namedversion} JPP/%{name} beanValidator
install -p -m 644 ui/beanValidator/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-beanValidator.pom
install -p -m 644 ui/beanValidator/target/beanValidator-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/beanValidator-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/calendar/target/calendar-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui calendar %{namedversion} JPP/%{name} calendar
install -p -m 644 ui/calendar/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-calendar.pom
install -p -m 644 ui/calendar/target/calendar-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/calendar-%{version}.jar

%add_to_maven_depmap org.richfaces.ui colorPicker %{namedversion} JPP/%{name} colorPicker
install -p -m 644 ui/colorPicker/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-colorPicker.pom
install -p -m 644 ui/colorPicker/target/colorPicker-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/colorPicker-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/columns/target/columns-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui columns %{namedversion} JPP/%{name} columns
install -p -m 644 ui/columns/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-columns.pom
install -p -m 644 ui/columns/target/columns-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/columns-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/combobox/target/combobox-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui combobox %{namedversion} JPP/%{name} combobox
install -p -m 644 ui/combobox/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-combobox.pom
install -p -m 644 ui/combobox/target/combobox-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/combobox-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/componentControl/target/componentControl-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui componentControl %{namedversion} JPP/%{name} componentControl
install -p -m 644 ui/componentControl/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-componentControl.pom
install -p -m 644 ui/componentControl/target/componentControl-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/componentControl-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/contextMenu/target/contextMenu-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui contextMenu %{namedversion} JPP/%{name} contextMenu
install -p -m 644 ui/contextMenu/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-contextMenu.pom
install -p -m 644 ui/contextMenu/target/contextMenu-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/contextMenu-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/core/target/core-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui core %{namedversion} JPP/%{name} core
install -p -m 644 ui/core/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-core.pom
install -p -m 644 ui/core/target/core-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/core-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/dataFilterSlider/target/dataFilterSlider-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui dataFilterSlider %{namedversion} JPP/%{name} dataFilterSlider
install -p -m 644 ui/dataFilterSlider/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-dataFilterSlider.pom
install -p -m 644 ui/dataFilterSlider/target/dataFilterSlider-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/dataFilterSlider-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/dataTable/target/dataTable-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui dataTable %{namedversion} JPP/%{name} dataTable
install -p -m 644 ui/dataTable/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-dataTable.pom
install -p -m 644 ui/dataTable/target/dataTable-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/dataTable-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/datascroller/target/datascroller-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui datascroller %{namedversion} JPP/%{name} datascroller
install -p -m 644 ui/datascroller/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-datascroller.pom
install -p -m 644 ui/datascroller/target/datascroller-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/datascroller-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/drag-drop/target/drag-drop-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui drag-drop %{namedversion} JPP/%{name} drag-drop
install -p -m 644 ui/drag-drop/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-drag-drop.pom
install -p -m 644 ui/drag-drop/target/drag-drop-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/drag-drop-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/dropdown-menu/target/dropdown-menu-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui dropdown-menu %{namedversion} JPP/%{name} dropdown-menu
install -p -m 644 ui/dropdown-menu/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-dropdown-menu.pom
install -p -m 644 ui/dropdown-menu/target/dropdown-menu-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/dropdown-menu-%{version}.jar

%add_to_maven_depmap org.richfaces.ui editor %{namedversion} JPP/%{name} editor
install -p -m 644 ui/editor/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-editor.pom
install -p -m 644 ui/editor/target/editor-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/editor-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/effect/target/effect-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui effect %{namedversion} JPP/%{name} effect
install -p -m 644 ui/effect/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-effect.pom
install -p -m 644 ui/effect/target/effect-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/effect-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/extendedDataTable/target/extendedDataTable-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui extendedDataTable %{namedversion} JPP/%{name} extendedDataTable
install -p -m 644 ui/extendedDataTable/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-extendedDataTable.pom
install -p -m 644 ui/extendedDataTable/target/extendedDataTable-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/extendedDataTable-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/fileUpload/target/fileUpload-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui fileUpload %{namedversion} JPP/%{name} fileUpload
install -p -m 644 ui/fileUpload/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-fileUpload.pom
install -p -m 644 ui/fileUpload/target/fileUpload-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/fileUpload-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/functions/target/functions-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui functions %{namedversion} JPP/%{name} functions
install -p -m 644 ui/functions/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-functions.pom
install -p -m 644 ui/functions/target/functions-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/functions-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/gmap/target/gmap-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui gmap %{namedversion} JPP/%{name} gmap
install -p -m 644 ui/gmap/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gmap.pom
install -p -m 644 ui/gmap/target/gmap-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/gmap-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/hotKey/target/hotKey-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui hotKey %{namedversion} JPP/%{name} hotKey
install -p -m 644 ui/hotKey/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-hotKey.pom
install -p -m 644 ui/hotKey/target/hotKey-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/hotKey-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/inplaceInput/target/inplaceInput-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui inplaceInput %{namedversion} JPP/%{name} inplaceInput
install -p -m 644 ui/inplaceInput/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-inplaceInput.pom
install -p -m 644 ui/inplaceInput/target/inplaceInput-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/inplaceInput-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/inplaceSelect/target/inplaceSelect-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui inplaceSelect %{namedversion} JPP/%{name} inplaceSelect
install -p -m 644 ui/inplaceSelect/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-inplaceSelect.pom
install -p -m 644 ui/inplaceSelect/target/inplaceSelect-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/inplaceSelect-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/inputnumber-slider/target/inputnumber-slider-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui inputnumber-slider %{namedversion} JPP/%{name} inputnumber-slider
install -p -m 644 ui/inputnumber-slider/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-inputnumber-slider.pom
install -p -m 644 ui/inputnumber-slider/target/inputnumber-slider-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/inputnumber-slider-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/inputnumber-spinner/target/inputnumber-spinner-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui inputnumber-spinner %{namedversion} JPP/%{name} inputnumber-spinner
install -p -m 644 ui/inputnumber-spinner/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-inputnumber-spinner.pom
install -p -m 644 ui/inputnumber-spinner/target/inputnumber-spinner-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/inputnumber-spinner-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/insert/target/insert-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui insert %{namedversion} JPP/%{name} insert
install -p -m 644 ui/insert/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-insert.pom
install -p -m 644 ui/insert/target/insert-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/insert-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/jQuery/target/jQuery-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui jQuery %{namedversion} JPP/%{name} jQuery
install -p -m 644 ui/jQuery/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jQuery.pom
install -p -m 644 ui/jQuery/target/jQuery-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/jQuery-%{version}.jar

%add_to_maven_depmap org.richfaces.ui layout %{namedversion} JPP/%{name} layout
install -p -m 644 ui/layout/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-layout.pom
install -p -m 644 ui/layout/target/layout-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/layout-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/listShuttle/target/listShuttle-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui listShuttle %{namedversion} JPP/%{name} listShuttle
install -p -m 644 ui/listShuttle/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-listShuttle.pom
install -p -m 644 ui/listShuttle/target/listShuttle-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/listShuttle-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/menu-components/target/menu-components-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui menu-components %{namedversion} JPP/%{name} menu-components
install -p -m 644 ui/menu-components/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-menu-components.pom
install -p -m 644 ui/menu-components/target/menu-components-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/menu-components-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/message/target/message-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui message %{namedversion} JPP/%{name} message
install -p -m 644 ui/message/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-message.pom
install -p -m 644 ui/message/target/message-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/message-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/modal-panel/target/modal-panel-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui modal-panel %{namedversion} JPP/%{name} modal-panel
install -p -m 644 ui/modal-panel/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-modal-panel.pom
install -p -m 644 ui/modal-panel/target/modal-panel-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/modal-panel-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/orderingList/target/orderingList-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui orderingList %{namedversion} JPP/%{name} orderingList
install -p -m 644 ui/orderingList/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-orderingList.pom
install -p -m 644 ui/orderingList/target/orderingList-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/orderingList-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/paint2D/target/paint2D-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui paint2D %{namedversion} JPP/%{name} paint2D
install -p -m 644 ui/paint2D/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-paint2D.pom
install -p -m 644 ui/paint2D/target/paint2D-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/paint2D-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/panel/target/panel-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui panel %{namedversion} JPP/%{name} panel
install -p -m 644 ui/panel/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-panel.pom
install -p -m 644 ui/panel/target/panel-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/panel-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/panelbar/target/panelbar-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui panelbar %{namedversion} JPP/%{name} panelbar
install -p -m 644 ui/panelbar/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-panelbar.pom
install -p -m 644 ui/panelbar/target/panelbar-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/panelbar-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/panelmenu/target/panelmenu-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui panelmenu %{namedversion} JPP/%{name} panelmenu
install -p -m 644 ui/panelmenu/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-panelmenu.pom
install -p -m 644 ui/panelmenu/target/panelmenu-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/panelmenu-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/pickList/target/pickList-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui pickList %{namedversion} JPP/%{name} pickList
install -p -m 644 ui/pickList/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pickList.pom
install -p -m 644 ui/pickList/target/pickList-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/pickList-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/progressBAR/target/progressBar-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui progressBar %{namedversion} JPP/%{name} progressBar
install -p -m 644 ui/progressBAR/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-progressBar.pom
install -p -m 644 ui/progressBAR/target/progressBar-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/progressBar-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/scrollableDataTable/target/scrollableDataTable-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui scrollableDataTable %{namedversion} JPP/%{name} scrollableDataTable
install -p -m 644 ui/scrollableDataTable/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-scrollableDataTable.pom
install -p -m 644 ui/scrollableDataTable/target/scrollableDataTable-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/scrollableDataTable-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/separator/target/separator-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui separator %{namedversion} JPP/%{name} separator
install -p -m 644 ui/separator/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-separator.pom
install -p -m 644 ui/separator/target/separator-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/separator-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/simpleTogglePanel/target/simpleTogglePanel-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui simpleTogglePanel %{namedversion} JPP/%{name} simpleTogglePanel
install -p -m 644 ui/simpleTogglePanel/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-simpleTogglePanel.pom
install -p -m 644 ui/simpleTogglePanel/target/simpleTogglePanel-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/simpleTogglePanel-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/spacer/target/spacer-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui spacer %{namedversion} JPP/%{name} spacer
install -p -m 644 ui/spacer/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-spacer.pom
install -p -m 644 ui/spacer/target/spacer-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/spacer-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/state/target/state-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui state %{namedversion} JPP/%{name} state
install -p -m 644 ui/state/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-state.pom
install -p -m 644 ui/state/target/state-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/state-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/suggestionbox/target/suggestionbox-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui suggestionbox %{namedversion} JPP/%{name} suggestionbox
install -p -m 644 ui/suggestionbox/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-suggestionbox.pom
install -p -m 644 ui/suggestionbox/target/suggestionbox-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/suggestionbox-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/tabPanel/target/tabPanel-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui tabPanel %{namedversion} JPP/%{name} tabPanel
install -p -m 644 ui/tabPanel/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tabPanel.pom
install -p -m 644 ui/tabPanel/target/tabPanel-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/tabPanel-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/togglePanel/target/togglePanel-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui togglePanel %{namedversion} JPP/%{name} togglePanel
install -p -m 644 ui/togglePanel/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-togglePanel.pom
install -p -m 644 ui/togglePanel/target/togglePanel-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/togglePanel-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/toolBar/target/toolBar-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui toolBar %{namedversion} JPP/%{name} toolBar
install -p -m 644 ui/toolBar/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-toolBar.pom
install -p -m 644 ui/toolBar/target/toolBar-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/toolBar-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/tooltip/target/tooltip-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui tooltip %{namedversion} JPP/%{name} tooltip
install -p -m 644 ui/tooltip/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tooltip.pom
install -p -m 644 ui/tooltip/target/tooltip-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/tooltip-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/tree/target/tree-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui tree %{namedversion} JPP/%{name} tree
install -p -m 644 ui/tree/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tree.pom
install -p -m 644 ui/tree/target/tree-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/tree-%{version}.jar

%if 0
%add_to_maven_depmap org.richfaces.ui treeTable %{namedversion} JPP/%{name} treeTable
install -p -m 644 ui/treeTable/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-treeTable.pom
install -p -m 644 ui/treeTable/target/treeTable-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/treeTable-%{version}.jar
%endif

%add_to_maven_depmap org.richfaces.ui treeModel %{namedversion} JPP/%{name} treeModel
install -p -m 644 ui/treeModel/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-treeModel.pom
install -p -m 644 ui/treeModel/target/treeModel-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/treeModel-%{version}.jar

#BUILD/richfaces-3.2.2.SR1/ui/virtualEarth/target/virtualEarth-3.2.2.SR1.jar
%add_to_maven_depmap org.richfaces.ui virtualEarth %{namedversion} JPP/%{name} virtualEarth
install -p -m 644 ui/virtualEarth/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-virtualEarth.pom
install -p -m 644 ui/virtualEarth/target/virtualEarth-%{namedversion}.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}/virtualEarth-%{version}.jar
%endif

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
(cd $RPM_BUILD_ROOT%{_javadir}/maven2/plugins && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr ui/assembly/target/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/docs
cp -pr ui/assembly/target/site/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/wars
install -p -m 644 docs/userguide/en/target/classes/userguide_en-%{namedversion}.war \
                  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/wars
install -p -m 644 docs/cdkguide/en/target/classes/cdkguide_en-%{namedversion}.war \
                  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/wars
install -p -m 644 docs/faq/en/target/classes/faq_en-%{namedversion}.war \
                  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/wars
install -p -m 644 docs/migrationguide/en/target/classes/migration_en-%{namedversion}.war \
                  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/wars
install -p -m 644 docs/photo_album_app_guide/en/target/classes/photo_album_app_guide_en-%{namedversion}.war \
                 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/wars

# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/demo
install -p -m 644 samples/richfaces-demo/target/richfaces-demo.war \
                  $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/demo
install -p -m 644 samples/richfaces-demo/target/richfaces-demo-jee5.war \
                 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/demo
install -p -m 644 samples/richfaces-demo/target/richfaces-demo-tomcat6.war \
                 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/demo

%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew

%if %with repolib
install -d -m 755 $RPM_BUILD_ROOT%{repodir}
install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
install -p -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{repodir}/component-info.xml
sed -i 's/@VERSION@/%{namedversion}-brew/g' $RPM_BUILD_ROOT%{repodir}/component-info.xml
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml
install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH0} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH1} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH2} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH3} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH4} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH5} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH6} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH7} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH8} $RPM_BUILD_ROOT%{repodirsrc}
#install -p -m 644 %{PATCH9} $RPM_BUILD_ROOT%{repodirsrc}
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-root.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-root.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-framework.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-framework.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-generator.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-generator.pom
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/generator-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-generator.jar
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-jsf-component.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-maven-archetype-jsf-component.pom
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-archetype-jsf-component-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-maven-archetype-jsf-component.jar
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-jsfwebapp.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-maven-archetype-jsfwebapp.pom
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-archetype-jsfwebapp-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-maven-archetype-jsfwebapp.jar
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-plug-n-skin.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-maven-archetype-plug-n-skin.pom
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-archetype-plug-n-skin-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-maven-archetype-plug-n-skin.jar
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-cdk.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-cdk.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-cdk-plugin.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-maven-cdk-plugin.pom
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-cdk-plugin-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-maven-cdk-plugin.jar
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-javascript-plugin.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-maven-javascript-plugin.pom
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-javascript-plugin-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-maven-javascript-plugin.jar
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-docs.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-docs.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-cdkguide_en.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-cdkguide_en.pom
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/cdkguide_en-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-cdkguide_en.jar
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-faq_en.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-faq_en.pom
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/faq_en-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-faq_en.jar
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-highlight.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-highlight.pom
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/highlight-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-highlight.jar
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-migration_en.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-migration_en.pom
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/migration_en-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-migration_en.jar
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-photo_album_app_guide_en.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-photo_album_app_guide_en.pom
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/migration_en-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-photo_album_app_guide_en.jar
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-photo_album_app_guide_en.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-photo_album_app_guide_en.pom
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/photo_album_app_guide_en-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-photo_album_app_guide_en.jar
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-userguide_en.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-userguide_en.pom
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/userguide_en-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-userguide_en.jar
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-richfaces-api.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-api.pom
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/richfaces-api-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-api.jar
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-richfaces-impl.pom  $RPM_BUILD_ROOT%{repodirlib}/richfaces-impl.pom
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/richfaces-impl-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-impl.jar
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-richfaces-test.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-test.pom
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/richfaces-test-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-test.jar
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-darkX.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-darkX.pom
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/darkX-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-darkX.jar
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-glassX.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-glassX.pom
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/glassX-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-glassX.jar
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-laguna.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-laguna.pom
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/laguna-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-laguna.jar
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-ui.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-ui.pom
%if %with monolithic_ui
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-richfaces-ui.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-richfaces-ui.pom
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/richfaces-ui-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-richfaces-ui.jar
%else
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/beanValidator-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-beanValidator.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/calendar-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-calendar.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/colorPicker-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-colorPicker.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/columns-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-columns.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/combobox-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-combobox.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/componentControl-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-componentControl.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/contextMenu-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-contextMenu.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/core-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-core.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/dataFilterSlider-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-dataFilterSlider.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/datascroller-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-datascroller.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/dataTable-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-dataTable.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/drag-drop-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-drag-drop.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/dropdown-menu-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-dropdown-menu.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/editor-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-editor.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/effect-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-effect.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/extendedDataTable-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-extendedDataTable.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/fileUpload-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-fileUpload.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/functions-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-functions.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/gmap-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-gmap.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/hotKey-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-hotKey.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/inplaceInput-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-inplaceInput.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/inplaceSelect-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-inplaceSelect.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/inputnumber-slider-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-inputnumber-slider.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/inputnumber-spinner-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-inputnumber-spinner.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/insert-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-insert.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/jQuery-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-jQuery.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/layout-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-layout.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/listShuttle-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-listShuttle.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/menu-components-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-menu-components.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/message-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-message.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/modal-panel-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-modal-panel.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/orderingList-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-orderingList.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/paint2D-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-paint2D.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/panel-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-panel.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/panelbar-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-panelbar.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/panelmenu-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-panelmenu.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/pickList-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-pickList.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/progressBar-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-progressBar.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/scrollableDataTable-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-scrollableDataTable.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/separator-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-separator.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/simpleTogglePanel-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-simpleTogglePanel.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/spacer-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-spacer.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/state-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-state.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/suggestionbox-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-suggestionbox.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/tabPanel-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-tabPanel.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/togglePanel-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-togglePanel.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/toolBar-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-toolBar.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/tooltip-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-tooltip.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/tree-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-tree.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/treeModel-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-treeModel.jar
%if 0
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/treeTable-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/richfaces-treeTable.jar
%endif
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-beanValidator.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-beanValidator.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-calendar.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-calendar.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-colorPicker.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-colorPicker.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-columns.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-columns.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-combobox.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-combobox.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-componentControl.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-componentControl.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-contextMenu.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-contextMenu.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-core.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-core.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-dataFilterSlider.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-dataFilterSlider.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-dataTable.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-dataTable.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-datascroller.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-datascroller.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-drag-drop.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-drag-drop.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-dropdown-menu.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-dropdown-menu.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-editor.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-editor.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-effect.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-effect.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-extendedDataTable.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-extendedDataTable.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-fileUpload.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-fileUpload.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-functions.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-functions.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-gmap.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-gmap.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-hotKey.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-hotKey.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-inplaceInput.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-inplaceInput.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-inplaceSelect.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-inplaceSelect.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-inputnumber-slider.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-inputnumber-slider.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-inputnumber-spinner.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-inputnumber-spinner.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-insert.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-insert.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jQuery.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-jQuery.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-layout.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-layout.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-listShuttle.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-listShuttle.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-menu-components.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-menu-components.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-message.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-message.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-modal-panel.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-modal-panel.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-orderingList.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-orderingList.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-paint2D.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-paint2D.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-panel.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-panel.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-panelbar.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-panelbar.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-panelmenu.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-panelmenu.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-pickList.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-pickList.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-progressBar.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-progressBar.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-scrollableDataTable.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-scrollableDataTable.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-separator.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-separator.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-simpleTogglePanel.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-simpleTogglePanel.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-spacer.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-spacer.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-state.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-state.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-suggestionbox.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-suggestionbox.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tabPanel.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-tabPanel.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-togglePanel.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-togglePanel.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-toolBar.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-toolBar.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tooltip.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-tooltip.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tree.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-tree.pom
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-treeModel.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-treeModel.pom
%if 0
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-treeTable.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-treeTable.pom
%endif
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-virtualEarth.pom $RPM_BUILD_ROOT%{repodirlib}/richfaces-virtualEarth.pom
%endif
%endif

%if %with zips
mkdir -p $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev

# Copy over zip for the zip subpackage
install -p -m 644 ui/assembly/target/dist/richfaces-ui-%{namedversion}-bin.zip $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev/richfaces-ui-%{namedversion}-bin.zip

# Copy over source zip for the src-zip subpackage
install -p -m 644 ui/assembly/target/dist/richfaces-ui-%{namedversion}-src.zip $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev/richfaces-ui-%{namedversion}-src.zip
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%update_maven_depmap

%postun 
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%dir %{_datadir}/%{name}-%{version}
%{_mavendepmapfragdir}/%{name}

%files cdk
%defattr(0644,root,root,0755)
%{_datadir}/maven2/poms/JPP.%{name}-cdk.pom

%files demo
%defattr(0644,root,root,0755)
%dir %{_datadir}/%{name}-%{version}/demo
%{_datadir}/%{name}-%{version}/demo/richfaces-demo.war
%{_datadir}/%{name}-%{version}/demo/richfaces-demo-jee5.war
%{_datadir}/%{name}-%{version}/demo/richfaces-demo-tomcat6.war
%{_javadir}/%{name}/darkX-%{version}.jar
%{_javadir}/%{name}/darkX.jar
%{_javadir}/%{name}/glassX-%{version}.jar
%{_javadir}/%{name}/glassX.jar
%{_javadir}/%{name}/laguna-%{version}.jar
%{_javadir}/%{name}/laguna.jar
%{_datadir}/maven2/poms/JPP.%{name}-darkX.pom
%{_datadir}/maven2/poms/JPP.%{name}-glassX.pom
%{_datadir}/maven2/poms/JPP.%{name}-laguna.pom

%files docs
%defattr(0644,root,root,0755)
%{_datadir}/maven2/poms/JPP.%{name}-docs.pom

%files framework
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/richfaces-api-%{version}.jar
%{_javadir}/%{name}/richfaces-api.jar
%{_javadir}/%{name}/richfaces-impl-%{version}.jar
%{_javadir}/%{name}/richfaces-impl.jar
%{_datadir}/maven2/poms/JPP.%{name}-framework.pom
%{_datadir}/maven2/poms/JPP.%{name}-richfaces-api.pom
%{_datadir}/maven2/poms/JPP.%{name}-richfaces-impl.pom

%files generator
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/generator-%{version}.jar
%{_javadir}/%{name}/generator.jar
%{_datadir}/maven2/poms/JPP.%{name}-generator.pom

%files highlight
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/highlight-%{version}.jar
%{_javadir}/%{name}/highlight.jar
%{_datadir}/maven2/poms/JPP.%{name}-highlight.pom

%files maven
%defattr(0644,root,root,0755)
%{_javadir}/maven2/plugins/richfaces-cdk-plugin-%{version}.jar
%{_javadir}/maven2/plugins/richfaces-cdk-plugin.jar
%{_javadir}/maven2/plugins/richfaces-javascript-plugin-%{version}.jar
%{_javadir}/maven2/plugins/richfaces-javascript-plugin.jar
%{_javadir}/%{name}/maven-archetype-jsf-component-%{version}.jar
%{_javadir}/%{name}/maven-archetype-jsf-component.jar
%{_javadir}/%{name}/maven-archetype-jsfwebapp-%{version}.jar
%{_javadir}/%{name}/maven-archetype-jsfwebapp.jar
%{_javadir}/%{name}/maven-archetype-plug-n-skin-%{version}.jar
%{_javadir}/%{name}/maven-archetype-plug-n-skin.jar
%{_javadir}/%{name}/maven-cdk-plugin-%{version}.jar
%{_javadir}/%{name}/maven-cdk-plugin.jar
%{_javadir}/%{name}/maven-javascript-plugin-%{version}.jar
%{_javadir}/%{name}/maven-javascript-plugin.jar
%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-jsf-component.pom
%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-jsfwebapp.pom
%{_datadir}/maven2/poms/JPP.%{name}-maven-archetype-plug-n-skin.pom
%{_datadir}/maven2/poms/JPP.%{name}-maven-cdk-plugin.pom
%{_datadir}/maven2/poms/JPP.%{name}-maven-javascript-plugin.pom

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files test
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/richfaces-test-%{version}.jar
%{_javadir}/%{name}/richfaces-test.jar
%{_datadir}/maven2/poms/JPP.%{name}-richfaces-test.pom

%files ui
%defattr(0644,root,root,0755)
%if %with monolithic_ui
%{_javadir}/%{name}/richfaces-ui-%{version}.jar
%{_javadir}/%{name}/richfaces-ui.jar
%else
%{_javadir}/%{name}/beanValidator-%{version}.jar
%{_javadir}/%{name}/beanValidator.jar
%{_javadir}/%{name}/calendar-%{version}.jar
%{_javadir}/%{name}/calendar.jar
%{_javadir}/%{name}/colorPicker-%{version}.jar
%{_javadir}/%{name}/colorPicker.jar
%{_javadir}/%{name}/columns-%{version}.jar
%{_javadir}/%{name}/columns.jar
%{_javadir}/%{name}/combobox-%{version}.jar
%{_javadir}/%{name}/combobox.jar
%{_javadir}/%{name}/componentControl-%{version}.jar
%{_javadir}/%{name}/componentControl.jar
%{_javadir}/%{name}/contextMenu-%{version}.jar
%{_javadir}/%{name}/contextMenu.jar
%{_javadir}/%{name}/core-%{version}.jar
%{_javadir}/%{name}/core.jar
%{_javadir}/%{name}/dataFilterSlider-%{version}.jar
%{_javadir}/%{name}/dataFilterSlider.jar
%{_javadir}/%{name}/datascroller-%{version}.jar
%{_javadir}/%{name}/datascroller.jar
%{_javadir}/%{name}/dataTable-%{version}.jar
%{_javadir}/%{name}/dataTable.jar
%{_javadir}/%{name}/drag-drop-%{version}.jar
%{_javadir}/%{name}/drag-drop.jar
%{_javadir}/%{name}/dropdown-menu-%{version}.jar
%{_javadir}/%{name}/dropdown-menu.jar
%{_javadir}/%{name}/editor-%{version}.jar
%{_javadir}/%{name}/editor.jar
%{_javadir}/%{name}/effect-%{version}.jar
%{_javadir}/%{name}/effect.jar
%{_javadir}/%{name}/extendedDataTable-%{version}.jar
%{_javadir}/%{name}/extendedDataTable.jar
%{_javadir}/%{name}/fileUpload-%{version}.jar
%{_javadir}/%{name}/fileUpload.jar
%{_javadir}/%{name}/functions-%{version}.jar
%{_javadir}/%{name}/functions.jar
%{_javadir}/%{name}/gmap-%{version}.jar
%{_javadir}/%{name}/gmap.jar
%{_javadir}/%{name}/hotKey-%{version}.jar
%{_javadir}/%{name}/hotKey.jar
%{_javadir}/%{name}/inplaceInput-%{version}.jar
%{_javadir}/%{name}/inplaceInput.jar
%{_javadir}/%{name}/inplaceSelect-%{version}.jar
%{_javadir}/%{name}/inplaceSelect.jar
%{_javadir}/%{name}/inputnumber-slider-%{version}.jar
%{_javadir}/%{name}/inputnumber-slider.jar
%{_javadir}/%{name}/inputnumber-spinner-%{version}.jar
%{_javadir}/%{name}/inputnumber-spinner.jar
%{_javadir}/%{name}/insert-%{version}.jar
%{_javadir}/%{name}/insert.jar
%{_javadir}/%{name}/jQuery-%{version}.jar
%{_javadir}/%{name}/jQuery.jar
%{_javadir}/%{name}/layout-%{version}.jar
%{_javadir}/%{name}/layout.jar
%{_javadir}/%{name}/listShuttle-%{version}.jar
%{_javadir}/%{name}/listShuttle.jar
%{_javadir}/%{name}/menu-components-%{version}.jar
%{_javadir}/%{name}/menu-components.jar
%{_javadir}/%{name}/message-%{version}.jar
%{_javadir}/%{name}/message.jar
%{_javadir}/%{name}/modal-panel-%{version}.jar
%{_javadir}/%{name}/modal-panel.jar
%{_javadir}/%{name}/orderingList-%{version}.jar
%{_javadir}/%{name}/orderingList.jar
%{_javadir}/%{name}/paint2D-%{version}.jar
%{_javadir}/%{name}/paint2D.jar
%{_javadir}/%{name}/panel-%{version}.jar
%{_javadir}/%{name}/panel.jar
%{_javadir}/%{name}/panelbar-%{version}.jar
%{_javadir}/%{name}/panelbar.jar
%{_javadir}/%{name}/panelmenu-%{version}.jar
%{_javadir}/%{name}/panelmenu.jar
%{_javadir}/%{name}/pickList-%{version}.jar
%{_javadir}/%{name}/pickList.jar
%{_javadir}/%{name}/progressBar-%{version}.jar
%{_javadir}/%{name}/progressBar.jar
%{_javadir}/%{name}/scrollableDataTable-%{version}.jar
%{_javadir}/%{name}/scrollableDataTable.jar
%{_javadir}/%{name}/separator-%{version}.jar
%{_javadir}/%{name}/separator.jar
%{_javadir}/%{name}/simpleTogglePanel-%{version}.jar
%{_javadir}/%{name}/simpleTogglePanel.jar
%{_javadir}/%{name}/spacer-%{version}.jar
%{_javadir}/%{name}/spacer.jar
%{_javadir}/%{name}/state-%{version}.jar
%{_javadir}/%{name}/state.jar
%{_javadir}/%{name}/suggestionbox-%{version}.jar
%{_javadir}/%{name}/suggestionbox.jar
%{_javadir}/%{name}/tabPanel-%{version}.jar
%{_javadir}/%{name}/tabPanel.jar
%{_javadir}/%{name}/togglePanel-%{version}.jar
%{_javadir}/%{name}/togglePanel.jar
%{_javadir}/%{name}/toolBar-%{version}.jar
%{_javadir}/%{name}/toolBar.jar
%{_javadir}/%{name}/tooltip-%{version}.jar
%{_javadir}/%{name}/tooltip.jar
%{_javadir}/%{name}/tree-%{version}.jar
%{_javadir}/%{name}/tree.jar
%{_javadir}/%{name}/treeModel-%{version}.jar
%{_javadir}/%{name}/treeModel.jar
%if 0
%{_javadir}/%{name}/treeTable-%{version}.jar
%{_javadir}/%{name}/treeTable.jar
%endif
%{_javadir}/%{name}/virtualEarth-%{version}.jar
%{_javadir}/%{name}/virtualEarth.jar
%endif
%{_datadir}/maven2/poms/JPP.%{name}-ui.pom
%if %with monolithic_ui
%{_datadir}/maven2/poms/JPP.%{name}-richfaces-ui.pom
%else
%{_datadir}/maven2/poms/JPP.%{name}-beanValidator.pom
%{_datadir}/maven2/poms/JPP.%{name}-calendar.pom
%{_datadir}/maven2/poms/JPP.%{name}-colorPicker.pom
%{_datadir}/maven2/poms/JPP.%{name}-columns.pom
%{_datadir}/maven2/poms/JPP.%{name}-combobox.pom
%{_datadir}/maven2/poms/JPP.%{name}-componentControl.pom
%{_datadir}/maven2/poms/JPP.%{name}-contextMenu.pom
%{_datadir}/maven2/poms/JPP.%{name}-core.pom
%{_datadir}/maven2/poms/JPP.%{name}-dataFilterSlider.pom
%{_datadir}/maven2/poms/JPP.%{name}-dataTable.pom
%{_datadir}/maven2/poms/JPP.%{name}-datascroller.pom
%{_datadir}/maven2/poms/JPP.%{name}-drag-drop.pom
%{_datadir}/maven2/poms/JPP.%{name}-dropdown-menu.pom
%{_datadir}/maven2/poms/JPP.%{name}-editor.pom
%{_datadir}/maven2/poms/JPP.%{name}-effect.pom
%{_datadir}/maven2/poms/JPP.%{name}-extendedDataTable.pom
%{_datadir}/maven2/poms/JPP.%{name}-fileUpload.pom
%{_datadir}/maven2/poms/JPP.%{name}-functions.pom
%{_datadir}/maven2/poms/JPP.%{name}-gmap.pom
%{_datadir}/maven2/poms/JPP.%{name}-hotKey.pom
%{_datadir}/maven2/poms/JPP.%{name}-inplaceInput.pom
%{_datadir}/maven2/poms/JPP.%{name}-inplaceSelect.pom
%{_datadir}/maven2/poms/JPP.%{name}-inputnumber-slider.pom
%{_datadir}/maven2/poms/JPP.%{name}-inputnumber-spinner.pom
%{_datadir}/maven2/poms/JPP.%{name}-insert.pom
%{_datadir}/maven2/poms/JPP.%{name}-jQuery.pom
%{_datadir}/maven2/poms/JPP.%{name}-layout.pom
%{_datadir}/maven2/poms/JPP.%{name}-listShuttle.pom
%{_datadir}/maven2/poms/JPP.%{name}-menu-components.pom
%{_datadir}/maven2/poms/JPP.%{name}-message.pom
%{_datadir}/maven2/poms/JPP.%{name}-modal-panel.pom
%{_datadir}/maven2/poms/JPP.%{name}-orderingList.pom
%{_datadir}/maven2/poms/JPP.%{name}-paint2D.pom
%{_datadir}/maven2/poms/JPP.%{name}-panel.pom
%{_datadir}/maven2/poms/JPP.%{name}-panelbar.pom
%{_datadir}/maven2/poms/JPP.%{name}-panelmenu.pom
%{_datadir}/maven2/poms/JPP.%{name}-pickList.pom
%{_datadir}/maven2/poms/JPP.%{name}-progressBar.pom
%{_datadir}/maven2/poms/JPP.%{name}-scrollableDataTable.pom
%{_datadir}/maven2/poms/JPP.%{name}-separator.pom
%{_datadir}/maven2/poms/JPP.%{name}-simpleTogglePanel.pom
%{_datadir}/maven2/poms/JPP.%{name}-spacer.pom
%{_datadir}/maven2/poms/JPP.%{name}-state.pom
%{_datadir}/maven2/poms/JPP.%{name}-suggestionbox.pom
%{_datadir}/maven2/poms/JPP.%{name}-tabPanel.pom
%{_datadir}/maven2/poms/JPP.%{name}-togglePanel.pom
%{_datadir}/maven2/poms/JPP.%{name}-toolBar.pom
%{_datadir}/maven2/poms/JPP.%{name}-tooltip.pom
%{_datadir}/maven2/poms/JPP.%{name}-tree.pom
%{_datadir}/maven2/poms/JPP.%{name}-treeModel.pom
%if 0
%{_datadir}/maven2/poms/JPP.%{name}-treeTable.pom
%endif
%{_datadir}/maven2/poms/JPP.%{name}-virtualEarth.pom
%endif

%files manual
%defattr(0644,root,root,0755)
%doc %dir %{_docdir}/%{name}-%{version}
%doc %dir %{_docdir}/%{name}-%{version}/css
%doc %{_docdir}/%{name}-%{version}/css/maven-base.css
%doc %{_docdir}/%{name}-%{version}/css/maven-theme.css
%doc %{_docdir}/%{name}-%{version}/css/print.css
%doc %{_docdir}/%{name}-%{version}/css/site.css
%doc %{_docdir}/%{name}-%{version}/dependencies.html
%doc %{_docdir}/%{name}-%{version}/dependency-convergence.html
%doc %dir %{_docdir}/%{name}-%{version}/images
%doc %{_docdir}/%{name}-%{version}/images/collapsed.gif
%doc %{_docdir}/%{name}-%{version}/images/expanded.gif
%doc %{_docdir}/%{name}-%{version}/images/external.png
%doc %{_docdir}/%{name}-%{version}/images/icon_error_sml.gif
%doc %{_docdir}/%{name}-%{version}/images/icon_info_sml.gif
%doc %{_docdir}/%{name}-%{version}/images/icon_success_sml.gif
%doc %{_docdir}/%{name}-%{version}/images/icon_warning_sml.gif
%doc %{_docdir}/%{name}-%{version}/images/logos/build-by-maven-black.png
%doc %{_docdir}/%{name}-%{version}/images/logos/build-by-maven-white.png
%doc %{_docdir}/%{name}-%{version}/images/logos/maven-feather.png
%doc %{_docdir}/%{name}-%{version}/images/newwindow.png
%doc %{_docdir}/%{name}-%{version}/index.html
%doc %{_docdir}/%{name}-%{version}/integration.html
%doc %{_docdir}/%{name}-%{version}/issue-tracking.html
%doc %{_docdir}/%{name}-%{version}/license.html
%doc %{_docdir}/%{name}-%{version}/mail-lists.html
%doc %{_docdir}/%{name}-%{version}/project-info.html
%doc %{_docdir}/%{name}-%{version}/project-summary.html
%doc %{_docdir}/%{name}-%{version}/source-repository.html
%doc %{_docdir}/%{name}-%{version}/team-list.html
%doc %{_docdir}/%{name}-%{version}/wars/cdkguide_en-%{namedversion}.war
%doc %{_docdir}/%{name}-%{version}/wars/faq_en-%{namedversion}.war
%doc %{_docdir}/%{name}-%{version}/wars/migration_en-%{namedversion}.war
%doc %{_docdir}/%{name}-%{version}/wars/photo_album_app_guide_en-%{namedversion}.war
%doc %{_docdir}/%{name}-%{version}/wars/userguide_en-%{namedversion}.war
%{_javadir}/%{name}/cdkguide_en-%{version}.jar
%{_javadir}/%{name}/cdkguide_en.jar
%{_javadir}/%{name}/faq_en-%{version}.jar
%{_javadir}/%{name}/faq_en.jar
%{_javadir}/%{name}/migration_en-%{version}.jar
%{_javadir}/%{name}/migration_en.jar
%{_javadir}/%{name}/photo_album_app_guide_en-%{version}.jar
%{_javadir}/%{name}/photo_album_app_guide_en.jar
%{_javadir}/%{name}/userguide_en-%{version}.jar
%{_javadir}/%{name}/userguide_en.jar
%{_datadir}/maven2/poms/JPP.%{name}-cdkguide_en.pom
%{_datadir}/maven2/poms/JPP.%{name}-faq_en.pom
%{_datadir}/maven2/poms/JPP.%{name}-migration_en.pom
%{_datadir}/maven2/poms/JPP.%{name}-photo_album_app_guide_en.pom
%{_datadir}/maven2/poms/JPP.%{name}-userguide_en.pom

%files root
%defattr(0644,root,root,0755)
%{_datadir}/maven2/poms/JPP.%{name}-root.pom

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}
%{_javadir}/repository.jboss.com
%endif

%if %with zips
%files zip
%defattr(0644,root,root,0755)
%dir %{_javadir}
%dir %{_javadir}/jbossas-fordev
%{_javadir}/jbossas-fordev/richfaces-ui-%{namedversion}-bin.zip

%files src-zip
%defattr(0644,root,root,0755)
%dir %{_javadir}
%dir %{_javadir}/jbossas-fordev
%{_javadir}/jbossas-fordev/richfaces-ui-%{namedversion}-src.zip
%endif

%changelog
* Wed Feb 16 2011 Marek Novotny <mnovotny@redhat.com> - 0:3.3.1-1
- new build 3.3.1.SP3

* Fri Aug 27 2010 Martha Benitez <mbenitez@redhat.com> - 0:3.3.1-0.25
- Rebuild to fix signing problems

* Thu Aug 26 2010 Martha Benitez <mbenitez@redhat.com> - 0:3.3.1-0.24
- Fix symlink for cdk-plugin and javascript-plugin

* Thu Aug 26 2010 Permaine Cheung <pcheung@redhat.com> 0:3.3.1-0.23
- Remove unapplied patch

* Wed Aug 25 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.22
- update Requires

* Thu Aug 19 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.21
- build with LANG=en_US.UTF-8

* Thu Aug 19 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.20
- remove LANG setting

* Wed Aug 18 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.19
- build with LANG set

* Thu May 20 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.18
- remove unused/outdated patches
- use htmlunit2 instead of htmlunit
- fix qdox Requires
- build with unsigned cglib
- use xml-commons to reduce XML differences
- fix ui.pack.js

* Tue May 11 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.17
- rebuild for maven install/deploy issue

* Fri May 07 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.16
- 3.3.1.SP2
- use velocity15

* Wed May 05 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.15
- rebuild using rhino in jdk6

* Tue Apr 13 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.14
- rebuild for rhino16

* Thu Mar 25 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.13
- exclude maven2-brew from src zip

* Tue Mar 23 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.12
- add missing cdk pom
- use mvn deploy instead of mvn install
- add BuildRequires: maven2-plugin-deploy, jakarta-commons-vfs
- fix some file names in file list

* Mon Mar 22 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.11
- update jpp depmap

* Wed Feb 24 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.10
- update to 3.3.1.SP1
- add repolib
- remove site option

* Thu Feb 11 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.9
- enable monolithic ui

* Thu Feb 11 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.8
- reorder root package

* Wed Feb 10 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.7
- add root pom package
- add doc pom package
- add depmap fragment for old highlight
- add missing ui components: colorPicker, editor, and layout
- add richfaces-demo-jee5.war and richfaces-demo-tomcat6.war
- remove unused upstream option

* Mon Jan 11 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.6
- fix depmap for ui pom

* Mon Jan 11 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.5
- add parent org.richfaces:ui of org.richfaces.ui:richfaces-ui

* Mon Jan 11 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.4
- framework should require main package
- split highlight into own package
- don't mark jars in manual package as docs

* Mon Jan 11 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.3
- temporarily use glassfish-jsf until we provide jsf_1_2_api
- add serializer for mojo xml-maven-plugin and jdocbook

* Wed Jan 06 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.2
- make ui monolithic
- add the zips
- add some missing maven poms

* Wed Jan 06 2010 David Walluck <dwalluck@redhat.com> 0:3.3.1-0.1
- 3.3.1.GA_RFPL-265

* Thu Sep 17 2009 David Walluck <dwalluck@redhat.com> 0:3.3.0-4
- add patch for cglib 2.2

* Mon Apr 20 2009 David Walluck <dwalluck@redhat.com> 0:3.3.0-3
- fix maven Requires

* Mon Apr 06 2009 David Walluck <dwalluck@redhat.com> 0:3.3.0-2
- fix typo in Requires
- update License

* Wed Mar 11 2009 David Walluck <dwalluck@redhat.com> 0:3.3.0-1
- 3.3.0.GA
- fix postgresql-jdbc depmap entry
- workaround icedtea rhino bug

* Fri Jan 23 2009 Ralph Apel <r.apel@r-apel.de> 0:3.2.2.1-1.jpp5
- First release
